[erlang-questions] Distributed erlang not working after upgrading to OSX Snow leopard

Tuncer Ayaz <>
Wed Jul 28 01:08:47 CEST 2010


On Thu, Jul 22, 2010 at 12:58 PM, Tuncer Ayaz wrote:
>
> On Wed, Jul 21, 2010 at 6:17 AM, Arun Suresh wrote:
> > Thanx michal..
> > that seems to have done the trick..
> >
> > On Wed, Jul 21, 2010 at 2:57 AM, Michal Zajda wrote:
> >
> >> Recompile your otp with --enable-darwin-64bit option to configure
> >> script. It is described in INSTALL.md file (in OTP sources).
>
> I have to admit I'm a little curious why using a 64bit emulator fixed
> the problem. I don't remember having issues with both 32bit and 64bit
> emulators on Linux or Darwin. Any detail I'm missing?

The only explanation is that a rebuild is required due to incompatible
changes from 10.5 to 10.6 and not that a 64-bit emu made distribution
work again.


More information about the erlang-questions mailing list